A Python 2 alapértelmezés szerint nem lesz telepítve az Ubuntu 16.04-re

Ubuntu 16.04

Ahogy közelebb kerülünk április 21-éhez, a hivatalos elindítás időpontjához Ubuntu LTS 16.04 (Xenial Xerus), egyre több részletet megtudunk az operációs rendszer Canonical által kifejlesztett következő verziójáról. Az egyik fontos változás, amely hatással lesz azokra a felhasználókra, akiknek a nyomtatója automatikusan felfedezhető a Windows operációs rendszerben: Ubuntu 16.04 LTS nem érkezik meg a Python 2-vel alapértelmezés szerint telepítve, amelynek felvételéről az elmúlt napokban vitát folytattak a különféle rendszeralkotók, a legszélesebb körű szándék az volt, hogy a már kiadott technológiákat kiküszöböljék következő kiadásaikból.

De nem mindenki ért egyet a Python 2 eltávolításával az operációs rendszerből, és az egyik ok a Python 2 csomagok alapértelmezett telepítésből történő eltávolításának nehézsége. Emellett sok olyan csomag van, amelyet még nem portáltak a Python 2-be, ezért a könyvtárakra továbbra is szükség van a működéshez. Ezeknek a csomagoknak a GN / Linux disztribúciók alapértelmezett telepítéséből való eltávolításának fő része a az ISO-képet sokkal nehezebbé tegye.

Néhány nyomtató nem fog működni Python 2 nélkül

Megnyílt a Barry Warsaw, az Ubuntu fejlesztője egy vita a témában, és arról a problémáról beszél, amelyet néhány felhasználó szenved, akiknek konfigurálniuk kell a felhasználóikat Windows nyomtatók alapértelmezett telepítés után, olyan autodetect funkció használatával, amely a Python 2 alapú könyvtárak használata nélkül nem lenne elérhető, de ezek a könyvtárak könnyen telepíthetők az alapértelmezett Ubuntu 16.04 LTS (Xenial Xerus) tárolókból.

A Varsó által kínált lehetséges megoldás az, hogy a felhasználóknak szükségük van a Python 2 csomagok telepítésére olyan szoftverekből, amelyekre szükségük van a függőségükre, például a biztonsági mentési eszközről. Deja Dup (Spanyol biztonsági mentések), amely alapértelmezés szerint telepítve van az Ubuntuba. Egy másik megoldás az, ha az Ubuntu fejlesztői végrehajtásellenőrzést adnak a csomagba system-config-printer hogy megnézze, milyen függőségek szükségesek a megfelelő működéshez és automatikusan felismeri a Windows nyomtatókat.

Mindenesetre még több mint egy hónap van hátra az Ubuntu 16.04 LTS hivatalos kiadása előtt, ezért hozzáadhatnak egy eszközt is az ilyen típusú nyomtatókkal való kompatibilitás helyreállításához, amely telepíti a szükséges Python 2 csomagokat. végül ezzel a problémával történik, várnunk kell legfeljebb a Április 21 A 2016.


A cikk tartalma betartja a szerkesztői etika. A hiba bejelentéséhez kattintson a gombra itt.

Hozzászólás, hagyd a tiedet

Hagyja megjegyzését

E-mail címed nem kerül nyilvánosságra. Kötelező mezők vannak jelölve *

*

*

  1. Az adatokért felelős: Miguel Ángel Gatón
  2. Az adatok célja: A SPAM ellenőrzése, a megjegyzések kezelése.
  3. Legitimáció: Az Ön beleegyezése
  4. Az adatok közlése: Az adatokat csak jogi kötelezettség alapján továbbítjuk harmadik felekkel.
  5. Adattárolás: Az Occentus Networks (EU) által üzemeltetett adatbázis
  6. Jogok: Bármikor korlátozhatja, helyreállíthatja és törölheti adatait.

  1.   Jose Miguel Gil Perez dijo